=== debian/changelog ===
kitinerary (18.08.3-2+rb1) UNRELEASED; urgency=medium

  * update

 -- Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 19 Jan 2021 14:19:17 +0800

kitinerary (18.08.3-2) unstable; urgency=medium

  [ Sandro Knauß ]
  * Update symbols from buildds for 18.08.3

 -- Sandro Knauß <hefee@debian.org>  Thu, 14 Feb 2019 21:08:13 +0100

kitinerary (18.08.3-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * Bump Standards-Version to 4.3.0 (No changes needed).

 -- Sandro Knauß <hefee@debian.org>  Mon, 04 Feb 2019 15:58:55 +0100

kitinerary (18.08.3-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * New upstream version
    - Compatible with poppler 0.71 (Closes: #914902)

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 14 Dec 2018 08:40:11 -0500

kitinerary (18.08.1-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * Bump Standards-Version to 4.2.1 (No changes needed).
  * Follow stable releases in KDE again.
  * New upstream release (18.08.1).

 -- Sandro Knauß <hefee@debian.org>  Tue, 02 Oct 2018 23:18:00 +0200

kitinerary (18.07.90-2) experimental; urgency=medium

  [ Sandro Knauß ]
  * fix dependency between libkpimitinerary5 and libkpimitinerary-data.
  * Update symbols from buildds for 18.07.90
  * Run tests not in parallel.

 -- Sandro Knauß <hefee@debian.org>  Thu, 06 Sep 2018 17:06:49 +0200

kitinerary (18.07.90-1) experimental; urgency=medium

  * First release in Debian.
  * Update watch file to match unstable releases, too.
  * New upstream release (18.07.90).
  * Update Vcs links to salsa.
  * Use secure copyright format uri.
  * Bump Standards-Version to 4.2.0 (No changes needed).
  * Bump debhelper build-dep and compat to 11.
  * Use secure version of download url
  * Update build-deps and deps with the info from cmake.
  * Add myself as Uploader.
  * Mark libkpimitinerary-dev as Multi-Arch: same.
  * Add symbols file for libkpimkitinerary5.
  * Split out arch independent data into libkpimitinerary-data.
  * Update copyright file for new upstream.
  * Add source/lintian-overrides for overwriting issues with test data.

 -- Sandro Knauß <hefee@debian.org>  Thu, 16 Aug 2018 10:44:18 +0200

kitinerary (0.0-0neon) xenial; urgency=medium

  * Initial package

 -- Neon CI <neon@kde.org>  Wed, 07 Feb 2018 17:35:10 +0000
