## kitinerary 18.12.3

=== debian/changelog ===
kitinerary (18.12.3-0ubuntu2) disco; urgency=medium

  * No-change rebuild for fixed akonadi server.

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 07 Apr 2019 17:45:49 +0100

kitinerary (18.12.3-0ubuntu1) disco; urgency=medium

  * New build dep on libxml2-dev.
  * New upstream release (18.12.3)
  * Drop included poppler72.patch
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 16 Mar 2019 15:05:27 +0000

kitinerary (18.08.3-2ubuntu1) disco; urgency=medium

  * Cherry-pick commit to fix build with poppler 0.72

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 23 Feb 2019 11:15:53 -0500
