=== debian/control ===
--- 
+++ 
@@ -1,18 +1,20 @@
 Source: kitinerary
 Section: libs
 Priority: optional
-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sandro Knauß <hefee@debian.org>
 Build-Depends: cmake (>= 3.0~),
                debhelper (>= 11),
                extra-cmake-modules (>= 5.38~),
-               libkf5calendarcore-dev,
-               libkf5contacts-dev,
+               libkf5calendarcore-dev (>= 4:18.12.3~),
+               libkf5contacts-dev (>= 4:18.12.3~),
                libkf5i18n-dev,
-               libkf5mime-dev,
-               libkpimpkpass-dev,
+               libkf5mime-dev (>= 18.12.3~),
+               libkpimpkpass-dev (>= 18.12.3~),
                libpoppler-private-dev,
                libpoppler-qt5-dev,
+               libxml2-dev,
                pkg-config,
                pkg-kde-tools,
                qtbase5-dev,
@@ -39,7 +41,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5mime-dev,
+Depends: libkf5mime-dev (>= 18.12.3~),
          libkpimitinerary5 (= ${binary:Version}),
          qtbase5-dev,
          ${misc:Depends},
