## kitinerary 19.04.3

=== debian/changelog ===
kitinerary (19.04.3-0ubuntu2) eoan; urgency=medium

  * No-change rebuild against libpoppler90

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 29 Aug 2019 12:15:05 +0100

kitinerary (19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)
  * Install new extractor binary.
  * Update symbols from build logs.
  * Add optional build dep libphonenumber-dev

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 23 Jul 2019 18:54:59 +0100

kitinerary (18.12.3-0ubuntu3) eoan; urgency=medium

  * Rebuild against new poppler87.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 07 May 2019 12:11:57 +0200
