=== debian/control ===
--- 
+++ 
@@ -7,11 +7,12 @@
 Build-Depends: cmake (>= 3.0~),
                debhelper (>= 11),
                extra-cmake-modules (>= 5.38~),
-               libkf5calendarcore-dev (>= 4:18.12.3~),
-               libkf5contacts-dev (>= 4:18.12.3~),
+               libkf5calendarcore-dev (>= 4:19.04.3~),
+               libkf5contacts-dev (>= 4:19.04.3~),
                libkf5i18n-dev,
-               libkf5mime-dev (>= 18.12.3~),
-               libkpimpkpass-dev (>= 18.12.3~),
+               libkf5mime-dev (>= 19.04.3~),
+               libkpimpkpass-dev (>= 19.04.3~),
+               libphonenumber-dev,
                libpoppler-private-dev,
                libpoppler-qt5-dev,
                libxml2-dev,
@@ -41,7 +42,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5mime-dev (>= 18.12.3~),
+Depends: libkf5mime-dev (>= 19.04.3~),
          libkpimitinerary5 (= ${binary:Version}),
          qtbase5-dev,
          ${misc:Depends},
