=== debian/control ===
Source: kitinerary
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 12),
               extra-cmake-modules (>= 5.60.0~),
               libkf5calendarcore-dev (>= 4:19.08.3~),
               libkf5contacts-dev (>= 4:19.08.3~),
               libkf5i18n-dev (>= 5.60.0~),
               libkf5mime-dev (>= 19.08.3~),
               libkpimpkpass-dev (>> 18.08.3-2),
               libphonenumber-dev,
               libpoppler-private-dev,
               libpoppler-qt5-dev,
               libxml2-dev,
               pkg-config,
               pkg-kde-tools,
               qtbase5-dev (>= 5.11.0~),
               qtdeclarative5-dev (>= 5.11.0~),
               xauth,
               xvfb,
               zlib1g-dev
Standards-Version: 4.4.1
Homepage: https://projects.kde.org/projects/kde/pim/kitinerary/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kitinerary
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kitinerary.git

Package: libkpimitinerary-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: library for Travel Reservation information - arch independent data
 This library provides an API for Data Model and Extraction System for
 Travel Reservation information.
 .
 This package contains the arch independent data for KPimItinerary.

Package: libkpimitinerary-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5contacts-dev (>= 4:19.08.3~),
         libkf5i18n-dev (>= 5.60.0~),
         libkf5mime-dev (>= 19.08.3~),
         libkpimitinerary5 (= ${binary:Version}),
         libkpimpkpass-dev (>> 18.08.3-2),
         qtbase5-dev (>= 5.11.0~),
         qtdeclarative5-dev (>= 5.11.0~),
         ${misc:Depends}
Description: library for Travel Reservation information - development files
 This library provides an API for Data Model and Extraction System for
 Travel Reservation information.
 .
 This package contains the development files.

Package: libkpimitinerary5
Architecture: any
Multi-Arch: same
Depends: libkpimitinerary-data, ${misc:Depends}, ${shlibs:Depends}
Description: library for Travel Reservation information
 This library provides an API for Data Model and Extraction System for
 Travel Reservation information.
Provides: ${ABI:VirtualPackage}
