=== debian/changelog ===
kitinerary (19.12.3-0ubuntu1) focal; urgency=medium

  * Move qdebug categories files to new location.
  * New upstream release (19.12.3)
  * Build with poppler again.
  * Add new opional build depend libzxingcore-dev
  * Update install files.
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Apr 2020 13:58:10 +0100

kitinerary (19.04.3-0ubuntu4) focal; urgency=medium

  * Build without poppler. Can be reverted once we have version 19.12."

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Feb 2020 09:19:33 +0000

kitinerary (19.04.3-0ubuntu3) focal; urgency=medium

  * No-change rebuild against libpoppler95

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 28 Feb 2020 04:29:01 +0000
