## kitinerary 20.08.1

=== debian/changelog ===
kitinerary (20.08.1-0ubuntu2) groovy; urgency=medium

  * No-change rebuild against libpoppler102.

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Sep 2020 17:03:13 +0100

kitinerary (20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 13:54:44 +0100

kitinerary (20.08.0-0ubuntu2) groovy; urgency=medium

  * Update libkpimitinerary-dev.install so it installs
    kitinerary_version.h

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 31 Aug 2020 12:16:42 +0100

kitinerary (20.08.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.0)
  * Update symbols.
  * Build depend on libkf5archive-dev
  * make build time tests non-fatal.

 -- Rik Mills <rikmills@kde.org>  Wed, 26 Aug 2020 12:20:24 +0100
