=== debian/control ===
--- 
+++ 
@@ -7,11 +7,12 @@
 Build-Depends: cmake (>= 3.0~),
                debhelper (>= 11),
                extra-cmake-modules (>= 5.38~),
+               libkf5archive-dev,
                libkf5calendarcore-dev (>= 4:19.08.3~),
                libkf5contacts-dev (>= 4:19.08.3~),
                libkf5i18n-dev,
-               libkf5mime-dev (>= 19.12.3~),
-               libkpimpkpass-dev (>= 19.12.3~),
+               libkf5mime-dev (>= 20.08.1~),
+               libkpimpkpass-dev (>= 20.08.1~),
                libphonenumber-dev,
                libpoppler-private-dev,
                libpoppler-qt5-dev,
@@ -43,7 +44,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5mime-dev (>= 19.12.3~),
+Depends: libkf5mime-dev (>= 20.08.1~),
          libkpimitinerary5 (= ${binary:Version}),
          qtbase5-dev,
          ${misc:Depends},
